답변 배틀?

답변 배틀의 첫 질문자 인사드립니다.
어제 생긴 중국산 노트북 LEMOTE Yeeloong 8089D

http://www.lemote.com/en/products/Noteb ... 0/112.html

에 기본적으로 설치된 OS가 리눅스인데 영어와 중국어는 입력되는데 한글이 입력 안 됨.
무선네트워크 안 됨.
방법이 있긴 할텐데 헤매던 중 우분투 오프라인 모임에서 질문.
몇 분이 도와주었으나 결국은 미해결.
그래도 도와주신 여러분 고맙습니다.
여러가지로 제가 해결책을 찾아보고 좋은 소식 알려드리겠습니다.

[quote="세벌":1lle2cgi]답변 배틀의 첫 질문자 인사드립니다.
어제 생긴 중국산 노트북 LEMOTE Yeeloong 8089D

http://www.lemote.com/en/products/Noteb ... 0/112.html

에 기본적으로 설치된 OS가 리눅스인데 영어와 중국어는 입력되는데 한글이 입력 안 됨.
무선네트워크 안 됨.
방법이 있긴 할텐데 헤매던 중 우분투 오프라인 모임에서 질문.
몇 분이 도와주었으나 결국은 미해결.
그래도 도와주신 여러분 고맙습니다.
여러가지로 제가 해결책을 찾아보고 좋은 소식 알려드리겠습니다.[/quote:1lle2cgi]

네 디폴트가 중국어 환경 입니다. 아마 별도로 한글 입력을 설정하셔야 할겁니다. 생각보다 그리 어렵진 않습니다만, 혹시 환경이 중국어라면 … (애도)
가령 .xinitrc라든가 이런 부분을 조금 수정하는 삽질을 해보셔야 합니다. 아마 우분투 포럼 어딘가를 잘 뒤져보시면, 입력기 설정을 튜닝(?)하는 방법이 나와있을지도 모릅니다.

힌트를 몇가지 드리자면 …
XMODIFIERS 변수 설정
*_IM_MODULE 변수 설정방법 찾아보고 설정하기
XIM_PROGRAM 설정 ( such as for the "nabi" )

이외에 제가 모르는게 더 많이 있을지도 모릅니다.
(고로 바톤을 어딘가 내동댕이 =3=3 후 도망 =3=3)

일단, 상황을 보니 한국어 로캘 설정이 필수라고 생각합니다.

[b:3t8qqa70][color=#FF0000:3t8qqa70]아치리눅스 기반 설정[/color:3t8qqa70][/b:3t8qqa70]
[i:3t8qqa70][b:3t8qqa70]/etc/locale-gen[/b:3t8qqa70][/i:3t8qqa70] 파일에 [i:3t8qqa70][b:3t8qqa70]ko_KR.UTF-8[/b:3t8qqa70][/i:3t8qqa70]을 설정하시고

[i:3t8qqa70][b:3t8qqa70]locale.gen[/b:3t8qqa70][/i:3t8qqa70] 명령어로 한국어 로캘을 먼저 생성해주세요.

그리고 선호하는 로캘 (여기서는 한국어 유니코드)을

[i:3t8qqa70][b:3t8qqa70]/etc/locale.conf[/b:3t8qqa70][/i:3t8qqa70] 에 넣어주세요…

그리고 한 가지 더…

일단 로캘설정이 끝나셨으면 [b:3t8qqa70][i:3t8qqa70]/etc/localtime[/i:3t8qqa70][/b:3t8qqa70]을 설정해줘야 하는 데…

[b:3t8qqa70][i:3t8qqa70]/etc/localtime[/i:3t8qqa70][/b:3t8qqa70]은 소프트링크 상태로 걸려있으므로…

[b:3t8qqa70][i:3t8qqa70]/usr/share/zoneinfo/Asia/Korea/Seoul[/i:3t8qqa70][/b:3t8qqa70] 을 링크로 걸어주세요…

일단 작업이 끝나면… X로 로그인 하셔서 일반적인 입력기 (나비) 설정을 해주시면 될 것 같습니다…

위의 설정은 아치리눅스 기반이고요…

[b:3t8qqa70][color=#FF0000:3t8qqa70]우분투 계열[/color:3t8qqa70][/b:3t8qqa70]
이시라면 [i:3t8qqa70][b:3t8qqa70]/etc/default/[/b:3t8qqa70][/i:3t8qqa70] 아래에 있는 로캘설정을 고쳐주시면 될 것 같습니다…

[i:3t8qqa70][b:3t8qqa70]locale-gen[/b:3t8qqa70][/i:3t8qqa70] 명령은 같을 거 같고요…

이상입니다.

입력기는 scim 설치되어 있고 운영체제는 debian 6.0. 우분투나 데비안이나 비슷한 거죠?

[code:q9aqgoir]sudo apt-get install libhangul[/code:q9aqgoir]했더니 저장소에 연결 안 됨. (아마도 중국에 있는 서버를 찾으려고 하는 듯…)
우리나라에 있는 저장소로 접속하도록 하려면 어느파일을 어떻게 손대야 하는지?
vi 사용법은 알고 있어요. :)

먼저
cat /etc/issue 명령어로 Debian 버전을 확인하신 후,

/etc/apt/sources.list 파일을 수정합니다.

/cat/issue에서의 버전이

6.0이면 squeeze

7.0이면 stable (wheezy)

아마 제 생각엔 wheezy일 가능성이 높은데요…

그리고 /etc/apt에 cache 파일이 있을텐데… 음… 갑자기 생각이 나지 않는군요…

이따 추가글로 제가 사용하는 sources.list 파일의 내용을 올려보겠습니다.

먼저, /etc/issue의 내용과 /etc/apt/sources.list의 내용을 이쪽에 적어주시기 바랍니다.

그럼 좀 더 정확하게 알 수 있을것 같군요.

저는 지금 사무실에, 노트북은 집에…
debian 버전은 6.0
/etc/apt/sources.list 은 중국어(한자)로 주석이 있고 서버 목록 있었던 기억이…

두 개 파일 내용 올립니다.

/etc/issue

[code:1w8cvk0h]Debian GNU/Linux 5.0 \n \l[/code:1w8cvk0h]

/etc/apt/sources.list

[code:1w8cvk0h]# sources for cocreate desktop education version
deb http://dev.lemote.com/tip current nm
deb-src http://dev.lemote.com/tip current nm

#龙芯教育版(fanatic)
deb http://updates.cocreate.com.cn/mirror/classroom-ccoss/dists/loongson fanatic/mipsel/
deb http://updates.cocreate.com.cn/mirror/classroom-ccoss/dists/loongson fanatic/all/
deb-src http://updates.cocreate.com.cn/mirror/classroom-ccoss/dists/loongson fanatic/source/

#龙芯fanatic
deb http://updates.cocreate.com.cn/mirror/standard-ccoss fanatic main
deb-src http://updates.cocreate.com.cn/mirror/standard-ccoss fanatic main

#龙芯medusa
deb http://updates.cocreate.com.cn/mirror/standard-ccoss medusa main
deb-src http://updates.cocreate.com.cn/mirror/standard-ccoss medusa main

#龙梦官方源rebuild
deb http://dev.lemote.com/debian-rebuild lenny main
deb-src http://dev.lemote.com/debian-rebuild lenny main

#龙梦官方源loongson
deb http://dev.lemote.com/debian-loongson/ loongson main
deb-src http://dev.lemote.com/debian-loongson/ loongson main

#Debian官方源镜像
deb http://updates.cocreate.com.cn/mirror/debian/ lenny main non-free
deb-src http://updates.cocreate.com.cn/mirror/debian/ lenny main non-free[/code:1w8cvk0h]

제가 이 노트북 사양을 살펴봤는데 아키텍처가 x86이 아니라 MIPS64 기반이더라구요…

고로 우분투 저장소를 사용하는 것은 불가능 한 것으로 보입니다…

일단은 데비안 저장소를 사용해야 하는데요…

[code:3vxf3ia3]
deb http://ftp.kaist.ac.kr/debian wheezy main
deb-src http://ftp.kaist.ac.kr/debian wheezy main
[/code:3vxf3ia3]

이렇게 먼저 테스트 해보심이 좋을 듯 합니다…

제 노트북 mips64 맞습니다.

/etc/apt/sources.list 내용을

[code:2n2cul2r]deb http://ftp.kaist.ac.kr/debian wheezy main
deb-src http://ftp.kaist.ac.kr/debian wheezy main[/code:2n2cul2r]로 해서

[code:2n2cul2r]sudo apt-get install libhangul[/code:2n2cul2r]했는데 에러납니다. 정확한 에러 메시지는 기억이 :oops: 노트북을 안 가져와서…

위의 서버에 접속 자체가 안 되는 건지, 접속은 되었는데 libhangul 이 없는 건지 어떻게 알 수 있는지???
두 가지 경우 해결방법 알려주시면 감사.

이런 초보적인 실수는 안 하셨을거라 생각됩니다만,
apt-get update는 하고 install 해보신거죠? ㅋㅋ

데비안 5면 Lenny 입니다. lenny론 안될테고, oldstable이라고 해야 될겁니다…

Debian Lenny에 Mips64라… 저장소에 Lenny가 없을 가능성도 있겠네요…
그러고보니 제 NAS도 얼른 복구해야는데…

[quote="drake_kr":3lcyvimv]이런 초보적인 실수는 안 하셨을거라 생각됩니다만,
apt-get update는 하고 install 해보신거죠?[/quote:3lcyvimv][code:3lcyvimv]apt-get update[/code:3lcyvimv]는 뭔가요? 안 했었는데요 :oops: 저 초보예요. :roll:

sudo apt-get update
는 서버에서 업데이트 목록을 받아오는 명령어 입니다. 저장소를 바꿨다면 무조건 한방은 때려줘야 하는 명령어 입니다. 자주 외우시게 될겁니다.

제가 데비안 배포판 버전 구조를 몰라서 그러는데

최신버전은 몇쯤 되나요 ?_?

[quote="darkcircle":3ato41rk]제가 데비안 배포판 버전 구조를 몰라서 그러는데

최신버전은 몇쯤 되나요 ?_?[/quote:3ato41rk]

저번달인가 나온 버전이 7 입니다 코드 네임 ‘wheezy’

[quote="마잇":234cxq63][quote="darkcircle":234cxq63]제가 데비안 배포판 버전 구조를 몰라서 그러는데

최신버전은 몇쯤 되나요 ?_?[/quote:234cxq63]

저번달인가 나온 버전이 7 입니다 코드 네임 ‘wheezy’[/quote:234cxq63]

코드네임 코드네임 하길래 언스테이블을 가리키는 이야기인줄 알았습니다.
보통 코드네임은 우분투에서만 봐왔거든요.
이게 우분투 코드네임처럼 정식 배포버전을 지칭하는거였군요. 감사드립니다 (_ _ )

[quote="darkcircle":v8q8om1l]제가 데비안 배포판 버전 구조를 몰라서 그러는데 최신버전은 몇쯤 되나요 ?_?[/quote:v8q8om1l]http://www.debian.org/News/2013/20130504